/*
 * PHP Reformatter - A tool to make dirty PHP code readable.
 * Copyright (C) 2007 Joris van Rooij <jorrizza@jrrzz.net>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef STANDARDS_H
#define STANDARDS_H

/* Number of INDENTCHR to indent with */
#define INDENTCNT 2
/* The character to indent with */
#define INDENTCHR 0x20
/* The newline string. e.g. "\r\n" or "\n" */
#define NEWLINE_STRING "\n"
/* Do you want a newline after a loop/if/else clause? */
#define NEWLINE_AFTER_CLAUSE FALSE
/* Do you want a newline after an if block? */
#define NEWLINE_AFTER_IFBLOCK TRUE
/* Do you want to add another newline after every loop? */
#define NEWLINE_AFTER_LOOP TRUE
/* Do you want to add another newline after every function? */
#define NEWLINE_AFTER_FUNCTION TRUE
/* Do you want to add another newline after every line terminator (';')? */
#define NEWLINE_AFTER_LINE_TERMINATOR TRUE
/* Do you want to indent after a case/default statement? */
#define INDENT_AFTER_CASE TRUE
/* Do you want to split the function name and body in a declaration? */
#define SPLIT_FUNCTION_DECLARATION TRUE
/* Do you want to split the function name and body in a call? */
#define SPLIT_FUNCTION_CALL FALSE
/* Do you want to pad the inside of a body of a loop/switch/function with spaces? */
#define PAD_BLOCK_INNER_BODY FALSE
/* Do you want to pad the outside of a body of a loop/switch/function with spaces? */
#define PAD_BLOCK_OUTER_BODY TRUE
/* Do you want spaces in between function arguments? */
#define PAD_FUNCTION_ARGUMENTS TRUE
/* Do you want spaces in between for arguments? */
#define PAD_LOOP_ARGUMENTS TRUE
/* Do you want spaces around your concatenators? */
#define PAD_CONCATENATOR FALSE
/* Do you want spaces around your shorthand statements ('?', ':')? */
#define PAD_SHORTHAND TRUE
/* Do you want spaces around your assignment operators? */
#define PAD_ASSIGNMENT TRUE
/* Do you want spaces around your comparison operators? */
#define PAD_COMPARISON TRUE
/* Do you want spaces around your arithmetic operators? */
#define PAD_ARITHMETIC TRUE
/* Do you want to split up arrays in multiline blocks? */
#define ARRAY_MULTILINE TRUE
/* Do you want to keep the original indentation of strings? */
#define KEEP_STRING_INDENTATION FALSE

#endif
